/* 
Theme Name: Seamap Antarctica - Hello Elementor Child Theme
URI: https://github.com/elementor/hello-theme/
Description: Seamap Antarctica custom over the Hello Elementor Child Theme
Author: Seamap Antarctica
Author URI: https://seamapantarctica.org/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
*/

/*
*
*
*
* ---------------- COLOURS SUMMARY ---------------
*
* Seamap Antarctica Blue - #
*
*
*
*/




/* ADDED BY CHILD THEME HEADER FILE
 * 

font-family: "Poppins", sans-serif;
font-weight: 400;
font-style: normal;

font-family: "Poppins", sans-serif;
font-weight: 400;
font-style: italic;

font-family: "Poppins", sans-serif;
font-weight: 700;
font-style: normal;

font-family: "Poppins", sans-serif;
font-weight: 700;
font-style: italic;

font-family: "Poppins", sans-serif;
font-weight: 900;
font-style: normal;

font-family: "Poppins", sans-serif;
font-weight: 900;
font-style: italic;

*/






body {
font-family: "Poppins", sans-serif;
font-optical-sizing: auto;
font-weight: 400;
font-style: normal;
/*color: #323232;*/
color: #104378;
/*font-size: 1.125rem;*/
font-size: 1.0rem;
}

.undo-link-style {
  position: static !important; /* Remove relative positioning */
  color: inherit !important; /* Inherit color from parent */
  text-decoration: underline !important; /* Restore default underline behavior */
}

.undo-link-style::before {
  content: none !important; /* Remove the pseudo-element */
}

.undo-link-style:hover::before {
  transform: none !important; /* Disable the hover effect */
}

p {
line-height: 1.6;
color: #104378;
}

.smant-lead-text {
font-size: 1.375rem;
}

h1, .elementor-widget h1, h1.elementor-heading-title {
font-size:1.0rem;
font-family: "Poppins", sans-serif;
font-weight: 400;
font-style: normal;
text-transform: uppercase;
color: #104378;
padding: 0px;
margin: 0px;
}

h2, .elementor-widget h2, h2.elementor-heading-title {
font-size:3.0rem;
line-height: 4.0rem;
font-family: "Poppins", sans-serif;
font-weight: 400;
font-style: normal;
color: #104378;
padding: 0px;
margin: 0px;
}

h3, .elementor-widget h3, h3.elementor-heading-title {
font-size:2.0rem;
font-family: "Poppins", sans-serif;
font-weight: 400;
font-style: normal;
color: #104378;
padding: 0px;
margin: 0px;
}

h4, .elementor-widget h4, h4.elementor-heading-title {
font-size:1.5rem;
font-family: "Poppins", sans-serif;
font-weight: 400;
font-style: normal;
color: #104378;
padding: 0px;
margin: 0px;
}

/*---------- HEADINGS MOBILE -----------*/
@media (max-width: 767px){
	
h1, .elementor-widget h1, h1.elementor-heading-title {
font-size:1.0rem;
}

h2, .elementor-widget h2, h2.elementor-heading-title {
font-size:2.4rem;
line-height: 3.0rem;
}

h3, .elementor-widget h3, h3.elementor-heading-title {
font-size:1.625rem;
}

h4, .elementor-widget h4, h4.elementor-heading-title {
font-size:1.375rem;
}
	
} /* END Headings mobile */









/*---------- REVERSE SECTION START-----------*/

.smant_reverse_section p,
.smant_reverse_section li,
.smant_reverse_section h1, .smant_reverse_section .elementor-widget h1, .smant_reverse_section h1.elementor-heading-title,
.smant_reverse_section h2, .smant_reverse_section .elementor-widget h2, .smant_reverse_section h2.elementor-heading-title,
.smant_reverse_section h3, .smant_reverse_section .elementor-widget h3, .smant_reverse_section h3.elementor-heading-title,
.smant_reverse_section h4, .smant_reverse_section .elementor-widget h4, .smant_reverse_section h4.elementor-heading-title {
color: #ffffff;
}

/*---------- REVERSE SECTION END-----------*/










/*---------- EVERY ELEMENTOR IMAGE WIDGET IMAGE WITH A LINK APPLIED ----------*/ 
.elementor-widget-image a {
/*Force linked images to full-width on large screens */
width: 100%;
}

.elementor-widget-image a img {
  transition: transform 0.3s ease-in-out, filter 0.5s ease-in-out 0.15s;
}

.elementor-widget-image a img:hover {
  transform: translateY(-15px);
/*filter: grayscale(100%);*/
}







/*---------- HEADER START ----------*/

#smant_navigation {
background: #104378;
}


/*---------- MAIN MENU START ----------*/

#smant_main_menu .elementor-nav-menu,
#smant_main_menu .elementor-nav-menu li {
  list-style: none;
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-style: normal;
}


/* ----------- Top-level menu items -------------- */
#smant_main_menu .elementor-nav-menu--main .elementor-item {
  color: #104378;
  font-size: 1rem;
  padding: 10px 15px;
}

#smant_main_menu .elementor-nav-menu--main .elementor-item:hover,
#smant_main_menu .elementor-nav-menu--main .elementor-item:focus {
  color: #FF3131;
}


/* ----------- Dropdown / submenu ------------ */
#smant_main_menu .elementor-nav-menu--dropdown {
  background-color: #A2BFCD;
}

#smant_main_menu .elementor-nav-menu--dropdown .elementor-item {
  color: #104378;
  padding: 10px 15px;
  font-size: 0.85rem;
}

/* Hover */
#smant_main_menu .elementor-nav-menu--dropdown .elementor-item:hover,
#smant_main_menu .elementor-nav-menu--dropdown .elementor-item:focus {
  color: #ffffff;
  background-color: #FF3131;
}

/* Active */
#smant_main_menu .elementor-nav-menu--dropdown .elementor-item.elementor-item-active {
  color: #ffffff;
  background-color: #104378;
}

/* Submenu arrow */
#smant_main_menu .elementor-nav-menu .sub-arrow {
    color: #104378;
    fill: #104378;
}

/* SUB MENU */
#smant_main_menu .elementor-nav-menu--dropdown .elementor-sub-item {
  background-color: #ffffff;
  color: #104378;
  padding: 10px 15px;
  font-size: 0.85rem;
}

/* Hover */
#smant_main_menu .elementor-nav-menu--dropdown .elementor-sub-item:hover,
#smant_main_menu .elementor-nav-menu--dropdown .elementor-sub-item:focus {
  color: #ffffff;
  background-color: #FF3131;
}

/* Active */
#smant_main_menu .elementor-nav-menu--dropdown .elementor-sub-item.elementor-item-active {
  color: #ffffff;
  background-color: #104378;
}


/* -------------- Mobile toggle (hamburger) --------------- */
#smant_main_menu {
  --nav-menu-icon-size: 30px;
}

#smant_main_menu .elementor-menu-toggle {
  color: #104378;
  background-color: #ffffff;
  border-radius: 30px;
  border-width: 2px;
  margin: 0 auto;
}

#smant_main_menu .elementor-menu-toggle .e-font-icon-svg {
  color: #104378;
  fill: #104378;
}

/* spacing from right */
#smant_main_menu .elementor-widget-container {
  padding-right: 20px;
}


/* ------------ Dropdown offset -------------- */

#smant_main_menu .elementor-nav-menu--main > .elementor-nav-menu > li > .elementor-nav-menu--dropdown,
#smant_main_menu .elementor-nav-menu__container.elementor-nav-menu--dropdown {
  margin-top: 40px !important;
}


/* ----------- Pointer / underline styles ----------- */

#smant_main_menu .e--pointer-double-line .elementor-item::after,
#smant_main_menu .e--pointer-underline .elementor-item::after {
  content: "";
  bottom: 0;
}

#smant_main_menu .e--pointer-double-line .elementor-item::after,
#smant_main_menu .e--pointer-double-line .elementor-item::before,
#smant_main_menu .e--pointer-overline .elementor-item::after,
#smant_main_menu .e--pointer-overline .elementor-item::before,
#smant_main_menu .e--pointer-underline .elementor-item::after,
#smant_main_menu .e--pointer-underline .elementor-item::before {
  height: 2px;
  width: 80%;
  left: 10%;
  background-color: #FF3131;
  z-index: 2;
}

/*---------- MAIN MENU END ----------*/

/*---------- VIDEO HEADERS START -----------*/

.smant_video_header,
.smant_video_header_reverse {
display: grid;
grid-template-columns: 1fr !important;
grid-template-rows: auto auto auto !important;
row-gap: 0;
column-gap: 0;
margin: 0;
padding: 0;
}

.smant_video_header_video {
z-index: 0;
grid-column: 1 / 2;
grid-row: 1 / 4;
margin: 0;
padding: 0;
}

.smant_video_header_heading {
z-index: 1;
grid-column: 1 / 2;
grid-row: 1 / 2;
padding-top: 5%;
padding-left: 10%;
padding-bottom: 15px;
padding-right: 10%;
}

.smant_video_header_content {
z-index: 1;
grid-column: 1 / 2;
grid-row: 2 / 3;
padding-top: 15px;
padding-left: 10%;
padding-bottom: 30px;
padding-right: 10%;
}


.smant_video_header .smant_video_header_heading h1,
.smant_video_header .smant_video_header_heading .elementor-widget h1,
.smant_video_header .smant_video_header_heading h1.elementor-heading-title,
.smant_video_header .smant_video_header_heading h2,
.smant_video_header .smant_video_header_heading .elementor-widget h2,
.smant_video_header .smant_video_header_heading h2.elementor-heading-title,
.smant_video_header .smant_video_header_heading h3,
.smant_video_header .smant_video_header_heading .elementor-widget h3,
.smant_video_header .smant_video_header_heading h3.elementor-heading-title,
.smant_video_header .smant_video_header_content p {
color: #104378;	
}

.smant_video_header_reverse .smant_video_header_heading h1,
.smant_video_header_reverse .smant_video_header_heading .elementor-widget h1,
.smant_video_header_reverse .smant_video_header_heading h1.elementor-heading-title,
.smant_video_header_reverse .smant_video_header_heading h2,
.smant_video_header_reverse .smant_video_header_heading .elementor-widget h2,
.smant_video_header_reverse .smant_video_header_heading h2.elementor-heading-title,
.smant_video_header_reverse .smant_video_header_heading h3,
.smant_video_header_reverse .smant_video_header_heading .elementor-widget h3,
.smant_video_header_reverse .smant_video_header_heading h3.elementor-heading-title,
.smant_video_header_reverse .smant_video_header_content p {
color: #ffffff;	
}



/*---------- VIDEO HEADERS TABLET -----------*/
@media screen and (min-width: 768px) and (max-width: 1024px){

.smant_video_header_video {
grid-column: 1 / 2;
grid-row: 1 / 3;
}

.smant_video_header_heading {
grid-column: 1 / 2;
grid-row: 1 / 2;
}

.smant_video_header_content {
grid-column: 1 / 2;
grid-row: 3 / 4;
padding-top: 10%;
padding-left: 10%;
padding-bottom: 10%;
padding-right: 10%;
}
	
.smant_video_header .smant_video_header_heading h1,
.smant_video_header .smant_video_header_heading .elementor-widget h1,
.smant_video_header .smant_video_header_heading h1.elementor-heading-title,
.smant_video_header .smant_video_header_heading h2,
.smant_video_header .smant_video_header_heading .elementor-widget h2,
.smant_video_header .smant_video_header_heading h2.elementor-heading-title,
.smant_video_header .smant_video_header_heading h3,
.smant_video_header .smant_video_header_heading .elementor-widget h3,
.smant_video_header .smant_video_header_heading h3.elementor-heading-title {
color: #104378;	
}

.smant_video_header_reverse .smant_video_header_heading h1,
.smant_video_header_reverse .smant_video_header_heading .elementor-widget h1,
.smant_video_header_reverse .smant_video_header_heading h1.elementor-heading-title,
.smant_video_header_reverse .smant_video_header_heading h2,
.smant_video_header_reverse .smant_video_header_heading .elementor-widget h2,
.smant_video_header_reverse .smant_video_header_heading h2.elementor-heading-title,
.smant_video_header_reverse .smant_video_header_heading h3,
.smant_video_header_reverse .smant_video_header_heading .elementor-widget h3,
.smant_video_header_reverse .smant_video_header_heading h3.elementor-heading-title {
color: #ffffff;	
}
	
.smant_video_header .smant_video_header_content p {
color: #ffffff;	
}

}  /* END tablet media screen */



/*---------- VIDEO HEADERS MOBILE -----------*/
@media screen and (max-width: 767px) {

.smant_video_header_video {
grid-column: 1 / 2;
grid-row: 1 / 2;
}

.smant_video_header_heading {
grid-column: 1 / 2;
grid-row: 2 / 3;
padding-top: 10%;
padding-left: 10%;
padding-bottom: 0%;
padding-right: 10%;
}

.smant_video_header_content {
grid-column: 1 / 2;
grid-row: 3 / 4;
}
	
.smant_video_header .smant_video_header_heading h1,
.smant_video_header .smant_video_header_heading .elementor-widget h1,
.smant_video_header .smant_video_header_heading h1.elementor-heading-title,
.smant_video_header .smant_video_header_heading h2,
.smant_video_header .smant_video_header_heading .elementor-widget h2,
.smant_video_header .smant_video_header_heading h2.elementor-heading-title,
.smant_video_header .smant_video_header_heading h3,
.smant_video_header .smant_video_header_heading .elementor-widget h3,
.smant_video_header .smant_video_header_heading h3.elementor-heading-title,
.smant_video_header .smant_video_header_content p {
color: #ffffff;	
}

}  /* END mobile media screen */

/*---------- VIDEO HEADERS END -----------*/










/*---------- FOOTER START----------*/

#smant_footer {
  background: #0c0c16;
}

#smant_footer,
#smant_footer h2,
#smant_footer h3,
#smant_footer h4,
#smant_footer p
{
  color: #a2bfcd;
}

#smant_footer a {
  color: #a2bfcd;
  padding-left: 0px;
}

#smant_footer li a {
  display: inline-block;
}

#smant_footer a:hover, #smant_footer a:focus {
  color: #a2bfcd;
}

#smant_footer #SMAnt_Logo {
  color: #ffffff;
  fill: #ffffff;
}

/*---------- FOOTER END----------*/










/*---------- ELEMENTOR DIVIDER START ----------*/
.elementor-divider {
  position: relative;
  height: 30px;
  padding-block-start: 0px !important; /* override Elementor default */
  padding-block-end: 0px !important; /* override Elementor default */
}

.elementor-divider-separator {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  height: 2px;
  width: 100%;
  background-color: #ffffff;
  border-block-start: 0 !important; /* override Elementor default */
}

.smant-divider-h2 .elementor-divider-separator {
  height: 10px;
  width: 100px;
  background-color: #ffbe1e;
}

.smant-divider-sub .elementor-divider-separator {
  height: 2px;
  width: 100px;
  background-color: #ffffff;
}

#smant_footer_divider .elementor-divider-separator {
  background-color:  #a2bfcd;
}

/*---------- ELEMENTOR DIVIDER END ----------*/










/*---------- CORNER FRAMES START----------*/

.smant_corner_topleft {
border-top: solid 1px #104378;
border-left: solid 1px #104378;
border-bottom: none;
border-right: none;
}

.smant_corner_topright {
border-top: solid 1px #104378;
border-left: none;
border-bottom: none;
border-right: solid 1px #104378;
}

.smant_corner_bottomleft {
border-top: none;	
border-left: solid 1px #104378;	
border-bottom: solid 1px #104378;
border-right: none;
}

.smant_corner_bottomright {
border-top: none;	
border-left: none;	
border-bottom: solid 1px #104378;
border-right: solid 1px #104378;
}

/* Corners in reverse section */
.smant_reverse_section .smant_corner_topleft {
border-top: solid 1px #ffffff;
border-left: solid 1px #ffffff;
border-bottom: none;
border-right: none;
}

.smant_reverse_section .smant_corner_topright {
border-top: solid 1px #ffffff;
border-left: none;
border-bottom: none;
border-right: solid 1px #ffffff;
}

.smant_reverse_section .smant_corner_bottomleft {
border-top: none;	
border-left: solid 1px #ffffff;	
border-bottom: solid 1px #ffffff;
border-right: none;
}

.smant_reverse_section .smant_corner_bottomright {
border-top: none;	
border-left: none;	
border-bottom: solid 1px #ffffff;
border-right: solid 1px #ffffff;
}

.smant_reverse_section .elementor-widget-n-carousel .swiper-pagination-bullet {
  background: #ffffff;
}

/*---------- CORNER FRAMES END----------*/





















/*----------- SMANT Buttons START -----------*/
.elementor-button, .elementor-button:visited  {
  display: inline-block;
  font-weight: 400;
  line-height: 1;
  background-color: transparent;
  border: 2px solid #104378;
  font-size: 1.125rem;
  padding: 12px 24px;
  border-radius: 50px;
  color: #104378;
  fill: #104378; /* if icon used */
  text-align: center;
  transition: color .3s, background-color .3s, border-color .3s;
}

.elementor-button:focus, .elementor-button:hover {
  color: #ffffff;
  background-color: #104378;
  fill: #ffffff; /* if icon used */
  border: 2px solid #104378;
}


/* RUNWAY BUTTON */
.runway-light-button {
  --runway-color: 255,255,255;
}

.runway-light-button .elementor-button {
  display: inline-flex;
  align-items: center;
  gap: 0.7em;
}

.runway-light-button .elementor-button-text {
  display: inline-flex;
  align-items: center;
  position: relative;
}

/* 3-dot SVG */
.runway-light-button .elementor-button-text::after {
  content: "";
  width: 34px;
  height: 12px;
  margin-left: 0.65em;
  display: inline-block;
  flex: 0 0 auto;
  position: relative;
	
  background-image: url("data:image/svg+xml;utf8,\
<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 68 24'>\
  <circle cx='10' cy='12' r='4' fill='rgb(255,255,255)'/>\
  <circle cx='34' cy='12' r='4' fill='rgb(255,255,255)'/>\
  <circle cx='58' cy='12' r='4' fill='rgb(255,255,255)'/>\
</svg>");
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;

  animation: runway-pulse 1.2s infinite ease-in-out;
  transform-origin: center;
  filter: drop-shadow(0 0 3px rgba(var(--runway-color),0.7));
}

/* Large beacon dot and pulse ring */
.runway-light-button .elementor-button-text::before {
  content: "";
  position: absolute;
  left: calc(100% + 0.6em);
  top: 50%;
  transform: translate(-50%, -50%);
  width: 12px;
  height: 12px;
  border-radius: 50%;
  pointer-events: none;

  background:
    radial-gradient(circle, rgba(var(--runway-color),1) 0 40%, transparent 42%) center/100% 100% no-repeat,
    radial-gradient(circle, rgba(var(--runway-color),0.85) 0%, rgba(var(--runway-color),0.35) 40%, transparent 70%) center/100% 100% no-repeat;

  animation: beacon-combined 1.2s infinite ease-out;
  filter: drop-shadow(0 0 4px rgba(var(--runway-color),0.75));
}

@keyframes runway-pulse {
  0%, 100% {
    opacity: 0.35;
    transform: scale(0.95);
  }
  50% {
    opacity: 1;
    transform: scale(1.08);
  }
}

@keyframes beacon-combined {
  0%, 44% {
    opacity: 0;
    transform: translate(-50%, -50%) scale(0.4);
    background-size: 100% 100%, 100% 100%;
  }
  50% {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1);
    background-size: 100% 100%, 100% 100%;
  }
  60% {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1);
    background-size: 100% 100%, 180% 180%;
  }
  75% {
    opacity: 0;
    transform: translate(-50%, -50%) scale(1);
    background-size: 100% 100%, 240% 240%;
  }
  100% {
    opacity: 0;
    transform: translate(-50%, -50%) scale(1);
    background-size: 100% 100%, 240% 240%;
  }
}




/* REVERSE BUTTON */
.smant_reverse_section .elementor-button, .smant_reverse_section .elementor-button:visited {
  background-color: transparent;
  fill: #ffffff; /* if icon used */
  border: 2px solid #ffffff;
  color: #ffffff;
}

.runway-light-button.smant_reverse_section {
  --runway-color: 255,255,255;
}

.runway-light-button.smant_reverse_section .elementor-button-text::after {
  background-image: url("data:image/svg+xml;utf8,\
<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 68 24'>\
  <circle cx='10' cy='12' r='4' fill='rgb(255,255,255)'/>\
  <circle cx='34' cy='12' r='4' fill='rgb(255,255,255)'/>\
  <circle cx='58' cy='12' r='4' fill='rgb(255,255,255)'/>\
</svg>");
}

/* REVERSE BUTTON - HOVER */
.smant_reverse_section .elementor-button:focus, .smant_reverse_section .elementor-button:hover {
  color: #104378;
  background-color: #ffffff;
  fill: #104378; /* if icon used */
  border: 2px solid #ffffff;
}

.runway-light-button.smant_reverse_section .elementor-button:focus, .runway-light-button.smant_reverse_section .elementor-button:hover {
  --runway-color: 255,255,255;
}

.runway-light-button.smant_reverse_section .elementor-button:focus .elementor-button-text::after,
.runway-light-button.smant_reverse_section .elementor-button:hover .elementor-button-text::after{
  background-image: url("data:image/svg+xml;utf8,\
<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 68 24'>\
  <circle cx='10' cy='12' r='4' fill='rgb(255,255,255)'/>\
  <circle cx='34' cy='12' r='4' fill='rgb(255,255,255)'/>\
  <circle cx='58' cy='12' r='4' fill='rgb(255,255,255)'/>\
</svg>");
}





/* RED BUTTON */
.smant-red-button .elementor-button, .smant-red-button .elementor-button:visited {
  background-color: transparent;
  fill: #FF3131; /* if icon used */
  border: 2px solid #FF3131;
  color: #FF3131;
}

.runway-light-button.smant-red-button {
  --runway-color: 255,49,49;
}

.runway-light-button.smant-red-button .elementor-button-text::after {
  background-image: url("data:image/svg+xml;utf8,\
<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 68 24'>\
  <circle cx='10' cy='12' r='4' fill='rgb(255,49,49)'/>\
  <circle cx='34' cy='12' r='4' fill='rgb(255,49,49)'/>\
  <circle cx='58' cy='12' r='4' fill='rgb(255,49,49)'/>\
</svg>");
}

/* RED BUTTON - HOVER */
.smant-red-button .elementor-button:focus, .smant-red-button .elementor-button:hover {
  color: #ffffff;
  background-color: #FF3131;
  fill: #ffffff; /* if icon used */
  border: 2px solid #FF3131;
}

.runway-light-button.smant-red-button .elementor-button:focus, .runway-light-button.smant-red-button .elementor-button:hover {
  --runway-color: 255,255,255;
}

.runway-light-button.smant-red-button .elementor-button:focus .elementor-button-text::after,
.runway-light-button.smant-red-button .elementor-button:hover .elementor-button-text::after{
  background-image: url("data:image/svg+xml;utf8,\
<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 68 24'>\
  <circle cx='10' cy='12' r='4' fill='rgb(255,255,255)'/>\
  <circle cx='34' cy='12' r='4' fill='rgb(255,255,255)'/>\
  <circle cx='58' cy='12' r='4' fill='rgb(255,255,255)'/>\
</svg>");
}



/* RED BUTTON OVER REVERSE */
.smant_reverse_section .smant-red-button .elementor-button, .smant_reverse_section .smant-red-button .elementor-button:visited  {
  color: #ffffff;
  background-color: #FF3131;
  fill: #ffffff; /* if icon used */
  border: 2px solid #FF3131;
}

.smant_reverse_section .runway-light-button.smant-red-button {
  --runway-color: 255,255,255;
}

.smant_reverse_section .runway-light-button.smant-red-button .elementor-button-text::after {
  background-image: url("data:image/svg+xml;utf8,\
<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 68 24'>\
  <circle cx='10' cy='12' r='4' fill='rgb(255,255,255)'/>\
  <circle cx='34' cy='12' r='4' fill='rgb(255,255,255)'/>\
  <circle cx='58' cy='12' r='4' fill='rgb(255,255,255)'/>\
</svg>");
}


/* RED BUTTON OVER REVERSE - HOVER */
.smant_reverse_section .smant-red-button .elementor-button:focus, .smant_reverse_section .smant-red-button .elementor-button:hover{
  background-color: transparent;
  fill: #FF3131; /* if icon used */
  border: 2px solid #FF3131;
  color: #FF3131;
}
.smant_reverse_section .runway-light-button.smant-red-button .elementor-button:focus, .smant_reverse_section .runway-light-button.smant-red-button .elementor-button:hover  {
  --runway-color: 255,49,49;
}

.smant_reverse_section .runway-light-button.smant-red-button .elementor-button:focus .elementor-button-text::after,
.smant_reverse_section .runway-light-button.smant-red-button .elementor-button:hover .elementor-button-text::after {
  background-image: url("data:image/svg+xml;utf8,\
<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 68 24'>\
  <circle cx='10' cy='12' r='4' fill='rgb(255,49,49)'/>\
  <circle cx='34' cy='12' r='4' fill='rgb(255,49,49)'/>\
  <circle cx='58' cy='12' r='4' fill='rgb(255,49,49)'/>\
</svg>");
}



/* YELLOW BUTTON */
.smant-yellow-button .elementor-button, .smant-yellow-button .elementor-button:visited {
  background-color: transparent;
  fill: #FFBE1E; /* if icon used */
  border: 2px solid #FFBE1E;
  color: #FFBE1E;
}

.runway-light-button.smant-yellow-button {
  --runway-color: 255,190,30;
}

.runway-light-button.smant-yellow-button .elementor-button-text::after {
  background-image: url("data:image/svg+xml;utf8,\
<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 68 24'>\
  <circle cx='10' cy='12' r='4' fill='rgb(255,190,30)'/>\
  <circle cx='34' cy='12' r='4' fill='rgb(255,190,30)'/>\
  <circle cx='58' cy='12' r='4' fill='rgb(255,190,30)'/>\
</svg>");
}

/* YELLOW BUTTON - HOVER */
.smant-yellow-button .elementor-button:focus, .smant-yellow-button .elementor-button:hover {
  color: #ffffff;
  background-color: #FFBE1E;
  fill: #ffffff; /* if icon used */
  border: 2px solid #FFBE1E;
}

.runway-light-button.smant-yellow-button .elementor-button:focus, .runway-light-button.smant-yellow-button .elementor-button:hover {
  --runway-color: 255,255,255;
}

.runway-light-button.smant-yellow-button .elementor-button:focus .elementor-button-text::after,
.runway-light-button.smant-yellow-button .elementor-button:hover .elementor-button-text::after{
  background-image: url("data:image/svg+xml;utf8,\
<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 68 24'>\
  <circle cx='10' cy='12' r='4' fill='rgb(255,255,255)'/>\
  <circle cx='34' cy='12' r='4' fill='rgb(255,255,255)'/>\
  <circle cx='58' cy='12' r='4' fill='rgb(255,255,255)'/>\
</svg>");
}

/*----------- SMANT Buttons END -----------*/










/*---------- HOME PAGE START ----------*/
#smant_home_one {
/*Antarctica...
background: #00264a;*/
background: #0f2749;
}

#smant_home_one,
#smant_home_one h2,
#smant_home_one h3,
#smant_home_one h4,
#smant_home_one p
{
color: #ffffff;
}

#smant_home_two {
/*IMAGE antarctica map*/
background: #00264a;
	
}

#smant_home_three {
/*Into the white...
background: linear-gradient(to bottom,#00264a 0%,#000000 100%);*/
background: linear-gradient(to bottom,#0f2749 0%,#88bee0 100%);
}

#smant_home_three,
#smant_home_three h2,
#smant_home_three h3,
#smant_home_three h4,
#smant_home_three p
{
color: #ffffff;
}

#smant_home_three_bbb {
/*Into the white...*/
background: linear-gradient(to bottom,#0f2749 0%,#0a152b 100%);
}

#smant_home_three_bbb,
#smant_home_three_bbb h2,
#smant_home_three_bbb h3,
#smant_home_three_bbb h4,
#smant_home_three_bbb p
{
color: #ffffff;
}


#smant_home_four {
/*IMAGE antarctica horizon
background: linear-gradient(to bottom,#000000 0%,#00102a 100%);*/
background: linear-gradient(to bottom,#88bee0 0%,#1b2153 100%);
}

#smant_home_four_bbb {
/*IMAGE antarctica horizon*/
background: linear-gradient(to bottom,#88bee0 0%,#1b2153 100%);
}

#smant_home_five {
/*Pioneering research...
background: #00102a;*/
background: linear-gradient(to bottom,#1b2153 0%,#09152b 100%);
}

#smant_home_five,
#smant_home_five h2,
#smant_home_five h3,
#smant_home_five h4,
#smant_home_five p
{
color: #ffffff;
}

#smant_home_five_bbb {
/*Pioneering research...*/
background: linear-gradient(to bottom,#a2bfcd 0%,#88bee0 100%);
}

#smant_home_five_bbb,
#smant_home_five_bbb h2,
#smant_home_five_bbb h3,
#smant_home_five_bbb h4,
#smant_home_five_bbb p
{
color: #00264a;
}
	
#smant_home_six {
/*IMAGE ice coastline*/
background: linear-gradient(to bottom,#00102a 0%,#a2bfcd 100%);
}

#smant_home_six_bbb {
/*IMAGE ice coastline*/
background: linear-gradient(to bottom,#00102a 0%,#a2bfcd 100%);
}

#smant_home_seven {
/*Decoding the ice...
background: linear-gradient(to bottom,#a2bfcd 0%,#3db4ee 100%);*/
background: linear-gradient(to bottom,#a2bfcd 0%,#48b2e4 100%);
}

#smant_home_seven,
#smant_home_seven h2,
#smant_home_seven h3,
#smant_home_seven h4,
#smant_home_seven p
{
color: #00264a;
}

#smant_home_seven_bbb {
/*Decoding the ice...
background: linear-gradient(to bottom,#a2bfcd 0%,#3db4ee 100%);*/
background: linear-gradient(to bottom,#1b2153 0%,#48b2e4 100%);
}

#smant_home_seven_bbb,
#smant_home_seven_bbb h2,
#smant_home_seven_bbb h3,
#smant_home_seven_bbb h4,
#smant_home_seven_bbb p
{
color: #ffffff;
}

#smant_home_eight {
/*IMAGE ice peninsular
background: linear-gradient(to bottom,#3db4ee 0%,#000113 100%);*/
background: linear-gradient(to bottom,#48b2e4 0%,#0c0c16 100%);
	
}

#smant_home_nine {
/*Beneth the ice...
background: #000113;*/
background: #0c0c16;
}

#smant_home_nine,
#smant_home_nine h2,
#smant_home_nine h3,
#smant_home_nine h4,
#smant_home_nine p
{
color: #ffffff;
}

#smant_home_ten {
/*Meet the locals...
background: #000113;*/
background: #0c0c16;
}

#smant_home_ten,
#smant_home_ten h2,
#smant_home_ten h3,
#smant_home_ten h4,
#smant_home_ten p
{
color: #ffffff;
}
	
#smant_home_eleven {
/*End...
background: #000113;*/
background: #0c0c16;
}
/*---------- HOME PAGE END ----------*/









/*---------- SUB-LEVEL TRI-MENU SPECIFIC ----------*/

.smant-pageend-trimenu {
  overflow: hidden;
}

/*---------- ABOUT PAGE SPECIFIC ----------*/

#smant_about_section_two {
  background: linear-gradient(to bottom,#000000 0%,#09152B 100%);
}










/*---------- DEPTH SCALE ----------*/
#smant_depth_one {
/*background: #000000;*/
}

#smant_depth_one,
#smant_depth_one h2,
#smant_depth_one h3,
#smant_depth_one h4,
#smant_depth_one p
{
color: #ffffff;
}


#smant_depth_two {
background: linear-gradient(to bottom,#a0eacd 0%,#70c9bf 100%);
}

/*
#smant_depth_two,
#smant_depth_two h2,
#smant_depth_two h3,
#smant_depth_two h4,
#smant_depth_two p
{
color: #104378;
}
*/

#smant_depth_three {
background: linear-gradient(to bottom,#70c9bf 0%,#3aaac8 100%);
}

/*
#smant_depth_three,
#smant_depth_three h2,
#smant_depth_three h3,
#smant_depth_three h4,
#smant_depth_three p
{
color: #ffffff;
}
*/

#smant_depth_four {
background: linear-gradient(to bottom,#3aaac8 0%,#094d73 100%);
}

#smant_depth_four,
#smant_depth_four h2,
#smant_depth_four h3,
#smant_depth_four h4,
#smant_depth_four p
{
color: #ffffff;
}

#smant_depth_five {
background: linear-gradient(to bottom,#094d73 0%,#000b1a 100%);
}

#smant_depth_five,
#smant_depth_five h2,
#smant_depth_five h3,
#smant_depth_five h4,
#smant_depth_five p
{
color: #ffffff;
}

#smant_depth_six {
background: linear-gradient(to bottom,#000b1a 0%,#0b0505 100%);	
}

#smant_depth_six,
#smant_depth_six h2,
#smant_depth_six h3,
#smant_depth_six h4,
#smant_depth_six p
{
color: #ffffff;
}

#smant_depth_seven {
background: linear-gradient(to bottom,#0b0505 0%,#000000 100%);	
}

#smant_depth_seven,
#smant_depth_seven h2,
#smant_depth_seven h3,
#smant_depth_seven h4,
#smant_depth_seven p
{
color: #ffffff;
}

#smant_depth_eight {
background: linear-gradient(to bottom,#000000 0%,#000000 100%);	
}

#smant_depth_eight,
#smant_depth_eight h2,
#smant_depth_eight h3,
#smant_depth_eight h4,
#smant_depth_eight p
{
color: #ffffff;
}

#smant_depth_nine {
background: linear-gradient(to bottom,#000000 0%,#000000 100%);	
}

#smant_depth_nine,
#smant_depth_nine h2,
#smant_depth_nine h3,
#smant_depth_nine h4,
#smant_depth_nine p
{
color: #ffffff;
}


/*---------- VERTICAL LINE START----------*/

.smant_vertical_line, .smant_vertical_line_header {
background-position: center center;
  background-repeat: repeat-y;
  background-size: 2px auto;
  background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1 10"><line x1="0.5" y1="0" x2="0.5" y2="10" stroke="%23ffbe1e" stroke-width="1"/></svg>'); /* %23 replaces the # in the hex code */
}

.smant_vertical_line_icon .elementor-icon svg {
margin-top: -1px;
}

/*---------- VERTICAL LINE END----------*/







/*---------- DEPTH SCALE SCROLLSPY MENU START 
class 'circle-list' applied to the Icon List widget) ----------*/

.circle-list {
  margin-left:13px;
}

.circle-list .elementor-icon-list-items {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 12px;
  padding: 12px;
  background: rgba(255, 0, 0, 0.08);
  border-radius: 40px;
}

/* Hide Elementor’s default icons */
.circle-list .elementor-icon-list-icon {
  display: none;
}

/* Reset spacing between list items */
.circle-list .elementor-icon-list-item {
  margin: 0;
}

/* Remove underlines from links */
.circle-list .elementor-icon-list-item > a {
  text-decoration: none;
}

/* Circle text styling */
.circle-list .elementor-icon-list-text {
  display: grid;
  place-items: center;
  width: 60px;
  height: 60px;
  padding: 6px;
  text-align: center;
  line-height: 1.1;
  font-weight: 600;
  font-size: 0.8rem;
  color: #000000;
  background: rgba(255, 210, 0, 0.25);
  border: 2px solid #ffd200;
  border-radius: 50%;
  box-sizing: border-box;
  word-break: break-word;
  transition: background 0.25s ease, border-color 0.25s ease,
              box-shadow 0.25s ease, transform 0.25s ease;
}

.circle-list .elementor-icon-list-text:hover {

  background: rgba(255, 210, 0, 1.0);

}

/* Active state for the circle currently over its section */
.circle-list .elementor-icon-list-item.is-active .elementor-icon-list-text {
  background: rgba(255, 184, 0, 1.0);
  border-color: #ffb800;
  box-shadow: 0 0 0 2px rgba(255,184,0,0.18);
  transform: translateZ(0);
  color: #000000;
}

/* mobile */
@media (max-width: 767px) {
  .circle-list .elementor-icon-list-text {
    width: 40px;
    height: 40px;
  font-size: 0.65rem; 
  }
  .circle-list .elementor-icon-list-items {
    border-radius: 35px;
    gap: 10px;
  }
}


/* Desktop/tablet */
@media (min-width: 768px){
	
.depth-toggle {
  display: none;
	}
	
}

/* Mobile - collapsed by default */
@media (max-width: 767px){
	
.depth-toggle{
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  text-align: center;
  font-weight: 600;
  font-size: 0.8rem;
  line-height: 1.2;
  text-decoration: none;
  border: solid 2px #ffbe1e;
  border-radius: 50%;
  width: 60px;
  height: 60px;
  padding: 6px;
  color: #ffbe1e;
  border: 2px solid #ffd200;
  border-radius: 50%;
  box-sizing: border-box;
  word-break: break-word;
  transition: background 0.25s ease, border-color 0.25s ease,
              box-shadow 0.25s ease, transform 0.25s ease;
  background: rgba(255, 184, 0, 1.0);
  box-shadow: 0 0 0 2px rgba(255,184,0,0.18);
  transform: translateZ(0);
  color: #000000;
  margin-left: 4px;
}
	
	
/* Active state for the circle currently over its section */
.depth-toggle:hover, .depth-toggle:focus {
  background: rgba(255, 210, 0, 0.50);
  box-shadow: 0 0 0 2px rgba(255,184,0,0.18);
  transform: translateZ(0);
  color: #000000;
}	

/* collapsed state */
#depth-menu{
    max-height: 0;
    overflow: hidden;
    transition: max-height .28s ease;
  }

/* expanded state - toggle by JS) */
#depth-menu.is-open{
    max-height: 1000px;
  }
}

/*---------- DEPTH SCALE SCROLLSPY MENU END ----------*/










/*---------- DEPTH SCALE TORCH START ----------*/

.ocean-zone{
  position: relative;
  overflow: hidden; /* keep overlay clipped to zone */
}

.ocean-zone::before{
  content:"";
  position:absolute;
  inset:0;
  pointer-events:none;
  z-index:10;
  background: linear-gradient(
    to bottom,
    rgba(0,0,0,0) 0%,
    rgba(0,0,0,.96) 5%
  );
	

  -webkit-mask-image: radial-gradient(circle at var(--x,50%) var(--y,50%),
    rgba(0,0,0,0) 0%,
    rgba(0,0,0,0) 2%,
    rgba(0,0,0,.25) 4%,
    rgba(0,0,0,.65) 8%,
    rgba(0,0,0,1) 13%);
  mask-image: radial-gradient(circle at var(--x,50%) var(--y,50%),
    rgba(0,0,0,0) 0%,
    rgba(0,0,0,0) 2%,
    rgba(0,0,0,.25) 4%,
    rgba(0,0,0,.65) 8%,
    rgba(0,0,0,1) 13%);
}

/* Hide the dark overlay on admin edit page */
body.elementor-editor-active .ocean-zone::before,
body.logged-in .ocean-zone::before {
  /*display: none !important;*/
  background: linear-gradient(
    to bottom,
    rgba(0,0,0,0) 0%,
    rgba(0,0,0,.96) 5%);
}

body.wp-admin .ocean-zone::before,
body.elementor-editor-active .ocean-zone::before {
  display: none !important;
}

/* Torch OFF state */
.ocean-zone.ocean-off::before{
  display:none !important;
}

/* Optional visual state for the button */
.ocean-toggle-btn.torch-off{
  opacity:.6;
}


/* dark overlay on mobile off by default */
@media (max-width: 767px){
	
  .ocean-zone::before{
    display:none !important;
  }	

} /* END mobile */

/*---------- DEPTH SCALE TORCH END ----------*/










/*--------- CHECK ----------*/

.is-left-edge {
    padding-left: 20px; /* Add padding or other adjustments */
}










/*
*

*
* ---------------- MEDIA SCREENS SUMMARY ---------------
*
* SCREENS:
* max-width: 1024px - Tablet view
* max-width: 768px - Phone landscape view
* max-width: 480px - Phone portrait view
* min-width: 1440px - larger screens greater than 1440px
* min-width: 1920px - larger screens greater than 1920px
*
* SECTIONS:
* General
*
*
*
*/



/* ---------------- MEDIA SCREENS max-width: 1024px --------------- */
/* screens below 1025px*/
@media screen and (max-width: 1024px) {

	
	
} /* END screens below 1025px*/
/* ---------------- END MEDIA SCREENS max-width: 1024px --------------- */







/* ---------------- MEDIA SCREENS max-width: 768px --------------- */
@media screen and (max-width: 768px) {



}  /* END screens below 769px*/
/* ---------------- END MEDIA SCREENS max-width: 768px --------------- */







/* ---------------- MEDIA SCREENS max-width: 480px --------------- */
/* screens below 481px*/
@media screen and (max-width: 480px) {

	
	
}  /* END screens below 481px*/
/* ---------------- END MEDIA SCREENS max-width: 480px --------------- */







/* ---------------- MEDIA SCREENS min-width: 1440px --------------- */
/* screens above 1440px*/
@media screen and (min-width: 1440px) {
	


}  /* END screens above 1440px*/
/* ---------------- END MEDIA SCREENS min-width: 1440px --------------- */







/* ---------------- MEDIA SCREENS min-width: 1920px --------------- */
/* screens above 1920px*/
@media screen and (min-width: 1920px) {



}  /* END screens above 1920px*/
/* ---------------- END MEDIA SCREENS min-width: 1920px --------------- */
